# GPU Cluster Alpha Capella

The multi-GPU cluster `Capella` has been installed for AI-related computations and traditional
HPC simulations.

The hardware specification is documented on the page
[HPC Resources](hardware_overview.md#capella).

## Filesystems

Capella has a fast WEKAio file system mounted on `/data/cat`. It is only mounted on Capella and the
[Datamover nodes](../data_transfer/datamover.md).
It should be used as the main working file system on Capella.
Although all other [filesystems](../data_lifecycle/file_systems.md)
(`/home`, `/software`, `/data/horse`, `/data/walrus`, etc.) are also available.

### Modules

The easiest way is using the [module system](../software/modules.md).
All software available from the module system has been specifically build for the cluster `Alpha`
i.e., with optimization for Zen4 (Genoa) microarchitecture and CUDA-support enabled.

To check the available modules for `Capella`, use the command

```console
marie@login.capella$ module spider <module_name>
```

??? example "Example: Searching and loading PyTorch"

    For example, to check which `PyTorch` versions are available you can invoke

    ```console
    marie@login.capella$ module spider PyTorch

    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
     PyTorch: PyTorch/2.1.2-CUDA-12.1.1
    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    Description:
      Tensors and Dynamic neural networks in Python with strong GPU acceleration. PyTorch is a deep learning framework that puts Python first.


    You will need to load all module(s) on any one of the lines below before the "PyTorch/2.1.2-CUDA-12.1.1" module is available to load.

      release/24.04  GCC/12.3.0  OpenMPI/4.1.5
 
    Help:
      Description
      ===========
      Tensors and Dynamic neural networks in Python with strong GPU acceleration.
      PyTorch is a deep learning framework that puts Python first.
      
      
      More information
      ================
       - Homepage: https://pytorch.org/
    ```

    ```console
    marie@login.alpha$ python -c "import torch; print(torch.__version__); print(torch.cuda.is_available())"
    2.1.12
    True
    ```
